import { createRouter, createWebHashHistory } from 'vue-router'
import constantRouter from './constantRouter'
import createRouterGuard from './guard'
export { default as asyncRouter } from './asyncRouter'

const router = createRouter({
  history: createWebHashHistory(import.meta.env.BASE_URL),
  routes: [...constantRouter]
})

createRouterGuard(router)

export { constantRouter }
export default router
